#pragma once

#include "ofMain.h"
#include "vectorField.h"


#define MAX_NUM_PTS 				19200


class particle{


	public :

		particle();
		void setPropertiesAndTurnOn(float x,float y,float x_v,float y_v, float z);
		void update();
		void draw(float time);
		void reset();

		float ox, oy;		// original position
		float px, py, pz;  		// position
		float vx, vy;  		// velocity
		float dropOffRate; 	// how do we slow
		bool bAlive;


		vectorField * VFptr;
		bool bRecvVFptr;
		int counter;
};
